﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;

namespace SoraV2Utils_Service
{
    internal static class Program
    {
        static void Main()
        {
            new ServiceLogger();
            new ServiceSettings();
            new AgentProcessHandler();
            new ServiceIPC();

            //System.Threading.Thread.Sleep(1000);
            //Service1 service = new Service1();
            //service.OnDebug();
            //System.Threading.Thread.Sleep(System.Threading.Timeout.Infinite);

            ServiceBase[] ServicesToRun;
            ServicesToRun = new ServiceBase[]
            {
                new SoraV2UtilsService()
            };
            ServiceBase.Run(ServicesToRun);
        }
    }
}
